#
# spec file for package syncthing-gtk
#

%global __requires_exclude typelib\\((Caja|Nautilus|Nemo)\\)
%define _name   syncthing_gtk

Name:           syncthing-gtk
Version:        0.9.4.4
Release:        %mkrel 1
Summary:        Syncthing Gtk-based graphical interface
License:        GPL-2.0+
Group:          Networking/Chat
Url:            https://github.com/syncthing/syncthing-gtk
Source0:     data.tar.xz
Requires:       psmisc
Requires:       python3-dateutil
Requires:       python3-gobject3
Requires:       syncthing
Requires:       python3-pyinotify
Requires:       python3-cairo
Requires:       libnotify
Requires:       librsvg
BuildArch:      noarch

%description
Graphical user interface with notification area icon for Syncthing
based on GTK+ and Python.

Supported Syncthing features:
 * Everything what WebUI can display.
 * Adding / editing / deleting nodes.
 * Adding / editing / deleting repositories.
 * Restart / shutdown server.
 * Editing daemon settings.

Additional features:
 * First run wizard for initial configuration.
 * Running Syncthing daemon in background.
 * Half-automatic setup for new nodes and repositories.
 * Filesystem watching and instant synchronisation using inotify.
 * Caja, Nemo, and Nautilus file managers integration.
 * Desktop notifications.

%prep
%build

%install
rm -rf %buildroot
mkdir -p %buildroot
tar -xf %SOURCE0 -C %buildroot

%files
%defattr(-,root,root)
%{_bindir}
%{_datadir}
%{_prefix}/lib64/python3.10


%changelog
* Sat Aug 21 2022 tex - 0.9.4.4-1pclos2022
- use debian tarball

* Sat May 13 2017 bb2 <bb2> - 0.9.2.4-1pclos2017
- create package
